Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Info

Prev Next
Post
/info/profile

Used to get info on a user profile.

Further information on user profiles, device profiles and attributes can be found in the guide on user data.

Body parameters
Return ID, email and email addressable attributes
{
  "apptoken": "YOUR_APPTOKEN",
  "id": "PROFILE_ID",
  "select": [
    "id",
    "email",
    "email_addressable"
  ]
}
object
apptoken
string Required

Your App Token

id
string Required

The profile ID of the profile you are looking for

select
Array of string

Select what attributes to return, eg. ["id", "project_id", "user_id", "email", "email_addressable"]

string
Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "model": {
    "id": "example_id",
    "email": "user1email@example.com",
    "email_addressable": "1"
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
model
object
id
string
Exampleexample_id
email
string
Exampleuser1email@example.com
email_addressable
integer
Default0
Example1
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string
404

404

Result
{
  "success": "False",
  "code": "404",
  "message": "Not Found"
}
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example404
message
string
ExampleNot Found